/* html,body{
    height: 100%;
} */
/* body{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background: linear-gradient(90deg, rgba(1,1,88,0.82),rgb(1,1,29));
    transition: 1s all ease-in-out;
} */
.chatbot{
    z-index: 9999;
    position: fixed;
}
.chatbox-wrapper{
    position: fixed;
	bottom: 1rem;
	left: 1rem;
	width: 5rem;
	height: 5rem;
}

/*#init{*/
    /*background: #013299;*/
   
/*    height: 70px;*/
/*    width: 70px;*/
/*    border-radius:50%;*/
/*    font-size: 12px;*/
/*    font-weight: 800;*/
/*    color: aliceblue;*/
/*    cursor: pointer;*/
/*    padding-top: 5px;*/
/*}*/
/*#init:hover{*/
    /*background-color: #0dcaf0;*/
/*    box-shadow: 2px 2px 6px black;*/
/*}*/
.desc p{
    color: rgb(133,153,168);
    margin: 0;
    font-weight: 600;
}
.text{
    font-size: 65px;
    font-weight: 800;
    color: cadetblue;
    margin: 0;
}
.parent{
    position: relative;
    height: 100%;
    padding: 0 7rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.bot-img{
    width: 20rem;
    height: 20rem;
}
.child{
    /* box-shadow: 0 0 2px rgb(19, 18, 18); */
    border-radius: 15px;
    height: 30rem;
    width: 20rem;
    margin: auto;
    background: white;
    position: absolute;
    right:0rem;
    border:0px solid black;
}
.header img{
    width: 45px;
    height: 45px;
    border-radius: 50%;
    margin: 0 0.5rem;
    border: 1px solid rgb(231,231,231);
    padding: -1px;
}
.header{
    position: absolute;
    top: 0;
    display: flex;
    align-items: center;
    border-bottom: 1px solid whitesmoke;
    background: #013299;
    width: 20rem;
    padding: 5px 0;
    border-top-right-radius: 15px;
    border-top-left-radius: 15px;
    z-index: 1;
    box-shadow: 0 0 4px rgb(19, 18, 18);
    border:1px solid#013299;
}
.h-child{
    display: flex;
    align-items: center;
}
#avatar{
    background-color: white;
    width:50px;
    height:50px;
    border-radius: 50%;
}
.header span{
    font-size: 13px;
    margin: 0;
    padding: 0;
}
.refBtn{
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    background: none;
    border: none;
    border-radius: 50%;
    color: white;
    font-size: 18px;
    cursor: pointer;
}
.name{
    font-weight: 800;
    color: white;
    font-family: sans-serif;
}
.footer{
    position: absolute;
    bottom: 0;
    width: 20rem;
    background: #013299;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    color: white;
    text-align: center;
    font-size: 10px;
    font-family: sans-serif;
    border:1px solid#013299;
}
.chat-bar-input-block {
    display: flex;
    float: left;
    box-sizing: border-box;
    justify-content: space-between;
    width: 20rem;
    height: 50px;
    align-items: center;
    background-color:#013299;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    border:1px solid#013299;
}
.input-box {
    float: left;
    border: none;
    box-sizing: border-box;
    width: 100%;
    border-radius: 10px;
    padding: 5px;
    margin: 10px;
    font-size: 16px;
    color: #000;
    background-color: white;
    outline: none;
}

.chat-bar-icons {
    display: flex;
    justify-content: space-evenly;
    box-sizing: border-box;
    width: 25%;
    float: right;
    font-size: 20px;
    padding: 10px;
}
#chat-icon:hover {
    opacity: .7;
    cursor: pointer;
}

#chat-box{
    position: relative;
    top: 40px;
    padding: 8px 10px;
    font-size: 12px;
    height: 22rem;
    overflow: auto;
    background: white;
    text-align: center;
    font-family: sans-serif;
    box-shadow: 0 0 2px black;
}


/* these classes will be used in javascript file */
.msg{
    background: #efefef;
    padding: 5px 15px;
    border-top-right-radius: 15px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    width: max-content;
    font-size: 14px;
    color: black;
    box-shadow: 0 1px 5px rgb(226,226,226);
    max-width: 65%;
    text-align: left;
    border:2px solid #b5b3b3;
}
.test{
    text-align: right;
    margin: 20px 0;
    
}
.rep{
    background: #013299;
    color:white;
    padding: 5px 15px;
    border-top-right-radius: 15px;
    border-bottom-left-radius: 15px;
    border-top-left-radius: 15px;
    font-size: 14px;
    box-shadow: 0 0 5px rgb(211,211,211);
    border:#578bfc 2px solid;
}
.opt{
    padding: 5px 20px;
    columns: lightsalmon;
    border: 1px solid blueviolet;
    border-radius: 1rem;
    margin: 0.3rem 0.5rem;
    display: inline-block;
    cursor: pointer;
    font-weight: 500;
    background: white;
    text-align: center;
    font-size: 14px;
    color: blueviolet;
}
.opt:hover{
    background-color:blueviolet;
    color:white;
}
.link{
    text-decoration: none;
    display: block;
    text-align: center;
    color: aliceblue !important;
    background: blueviolet;
}
.m-link{
    text-decoration: none;
}
.link:active{
    background: white;
    border: 1px solid blueviolet;
    color: blueviolet;
}
.btttn{
    border-radius:50%;
}
